> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Parse Work Link

> Interface description: Obtain work information according to the link



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/v2/channels/works/link-info
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/works/link-info:
    get:
      tags:
        - Channel Management/Works
      summary: Parse Work Link
      description: 'Interface description: Obtain work information according to the link'
      operationId: WorksController_getLinkInfo_v2
      parameters:
        - name: platform
          in: query
          description: platform
          required: true
          example: ''
          schema:
            type: string
            enum:
              - douyin
              - xhs
              - wxSph
              - KWAI
              - youtube
              - wxGzh
              - bilibili
              - twitter
              - tiktok
              - facebook
              - instagram
              - threads
              - pinterest
              - linkedin
              - google_business
            description: platform
        - name: link
          in: query
          description: Work link
          required: true
          example: ''
          schema:
            type: string
            minLength: 1
            description: Work link
        - name: accountId
          in: query
          description: Account ID
          required: false
          example: ''
          schema:
            description: Account ID
            type: string
            minLength: 1
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelWorkDataVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      platform: douyin
                      work:
                        id: string
                        url: string
                        title: string
                        description: string
                        mediaType: string
                        coverUrl: string
                        publishedAt: '2026-07-02T12:00:00.000Z'
                        status: string
                        author: string
                      snapshots: []
                      extra: {}
                      snapshotId: string
                      fetchedAt: '2026-07-02T12:00:00.000Z'
                      message: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                accountNotFound12600:
                  summary: AccountNotFound (12600)
                  value:
                    code: 12600
                    message: Account not found
                    data: {}
                    timestamp: 1772099056662
                channelAuthPlatformMismatch15040:
                  summary: ChannelAuthPlatformMismatch (15040)
                  value:
                    code: 15040
                    message: Authorization platform does not match
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelWorkDataVo:
      type: object
      properties:
        platform:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: platform
        work:
          description: Work information
          type: object
          properties:
            id:
              description: Platform work ID
              type: string
            url:
              description: Work link
              type: string
            title:
              description: Title of work
              type: string
            description:
              description: Description of work
              type: string
            mediaType:
              description: Work media type
              type: string
            coverUrl:
              description: Cover URL
              type: string
            publishedAt:
              description: Release time
              type: string
              format: date-time
            status:
              description: Work status
              type: string
            author:
              description: author
              type: string
          required:
            - id
        snapshots:
          default: []
          description: Snapshot of work data saved this time
          type: array
          items:
            type: object
            properties:
              id:
                description: Snapshot ID
                type: string
              platformWorkId:
                description: Platform work ID
                type: string
              snapshotAt:
                description: Snapshot corresponding time
                type: string
                format: date-time
              fetchedAt:
                description: Platform data acquisition time
                type: string
                format: date-time
              periodStartAt:
                description: Interval start time
                type: string
                format: date-time
              periodEndAt:
                description: interval end time
                type: string
                format: date-time
              work:
                description: Work information
                type: object
                properties:
                  id:
                    description: Platform work ID
                    type: string
                  url:
                    description: Work link
                    type: string
                  title:
                    description: Title of work
                    type: string
                  description:
                    description: Description of work
                    type: string
                  mediaType:
                    description: Work media type
                    type: string
                  coverUrl:
                    description: Cover URL
                    type: string
                  publishedAt:
                    description: Release time
                    type: string
                    format: date-time
                  status:
                    description: Work status
                    type: string
                  author:
                    description: author
                    type: string
                required:
                  - id
              metrics:
                description: Work indicators
                type: object
                properties:
                  viewCount:
                    description: Number of views
                    type: number
                  playCount:
                    description: Number of plays
                    type: number
                  impressionCount:
                    description: Exposures
                    type: number
                  reachCount:
                    description: Reach count
                    type: number
                  likeCount:
                    description: Number of likes
                    type: number
                  collectCount:
                    description: Number of collections
                    type: number
                  commentCount:
                    description: Number of comments
                    type: number
                  shareCount:
                    description: Number of shares
                    type: number
                  saveCount:
                    description: Number of saves
                    type: number
                  clickCount:
                    description: Clicks
                    type: number
                  engagementCount:
                    description: Number of interactions
                    type: number
                  watchTimeSeconds:
                    description: Watch time in seconds
                    type: number
              extra:
                description: Platform special fields
                type: object
                additionalProperties: true
                properties: {}
            required:
              - snapshotAt
              - fetchedAt
              - work
        extra:
          description: Platform special fields
          type: object
          additionalProperties: true
          properties: {}
        snapshotId:
          description: This primary snapshot ID
          type: string
        fetchedAt:
          description: Platform data acquisition time
          type: string
          format: date-time
        message:
          description: Prompt message
          type: string
      required:
        - platform
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````